Results 1 to 7 of 7

Thread: Scilab 5.5 from OS13.1 repo not working?

  1. #1
    Join Date
    Jun 2008
    Location
    Prescott, AZ
    Posts
    1,170

    Default Scilab 5.5 from OS13.1 repo not working?

    Dear Opensuse Users: I would like to use the latest version of scilab from the opensuse science repo, but there is a java issue with the install. I thought YaST was supposed to take care of dependencies like this. Here is the command line output. How could this be trouble-shot?

    Thank You,
    Patti

    Code:
    ~> scilab
    /usr/bin/scilab-bin: error while loading shared libraries: libjava.so: cannot open shared object file: No such file or directory
    ~> scilab-cli
    Scilab 5.5.0 (Aug  5 2014, 20:23:55)
     
    -->exit 
    ~> whereis java
    java: /usr/bin/java /usr/lib64/java /etc/java /usr/share/java /usr/share/man/man1/java.1.gz
    ~>
    ~> uname -a
    Linux 3.11.10-21-desktop #1 SMP PREEMPT Mon Jul 21 15:28:46 UTC 2014 (9a9565d) x86_64 x86_64 x86_64 GNU/Linux
    ~>

  2. #2
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,002

    Default Re: Scilab 5.5 from OS13.1 repo not working?

    What is your java version? Are you using it from the terminal only? If so, do you have java-1_7_0-openjdk-headless installed?

    Could you copy paste the result of the following command here, if ran from a terminal;
    Code:
    SCIVERBOSE=1 scilab
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  3. #3
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,581

    Default Re: Scilab 5.5 from OS13.1 repo not working?

    Note that full Java is not default installed you have to install it. If you upgraded then the upgrade may not have brought in the latest java (depending on how you upgraded) the rpm sees java thinks the requirement is installed and that is that.

  4. #4
    Join Date
    Jun 2008
    Location
    Prescott, AZ
    Posts
    1,170

    Default Re: Scilab 5.5 from OS13.1 repo not working?

    Quote Originally Posted by Miuku View Post
    What is your java version? Are you using it from the terminal only? If so, do you have java-1_7_0-openjdk-headless installed?

    Could you copy paste the result of the following command here, if ran from a terminal;
    Code:
    SCIVERBOSE=1 scilab
    Hi Miku! Thanks for the suggestion...
    Code:
    ~> SCIVERBOSE=1 scilab
    SCILABBIN : scilab-bin
    DISABLE_JAVA_DETECTION : 0
    SCILAB_MODE : gui
    OS : Linux
    MODEL : x86_64
    IS_SCILAB_BINARY : 0
    Using specified vm: /usr/lib64/jvm/java
    JAVA_HOME : /usr/lib64/jvm/java
    Cannot find /usr/lib64/jvm/java/jre/lib/amd64/libjava.so
    SCI : /usr/share/scilab/
    SCIBIN : /usr/bin/scilab-bin
    PATH : /usr/share/scilab/:/usr/share/scilab//bin:/usr/bin:/opt/aerosoft/bin:/opt/aerosoft/bin:/usr/lib64/mpi/gcc/openmpi/bin:/home/patti/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/X11R6/bin:/usr/games:/usr/lib/mit/bin:/usr/lib/mit/sbin
    CLASSPATH : 
    EGL_DRIVER : 
    LD_LIBRARY_PATH : /usr/share/scilab//bin:/usr/share/scilab//lib/scilab/:/usr/share/scilab//lib64/scilab/:.:/usr/lib64/mpi/gcc/openmpi/lib64
    DOCBOOK : /usr/share/xml/docbook/stylesheet/nwalsh/current/
    /usr/bin/scilab-bin: error while loading shared libraries: libjava.so: cannot open shared object file: No such file or directory
    ~>

  5. #5
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,002

    Default Re: Scilab 5.5 from OS13.1 repo not working?

    You need to install java-1_7_0-openjdk-headless.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  6. #6
    Join Date
    Jun 2008
    Location
    Prescott, AZ
    Posts
    1,170

    Default Re: Scilab 5.5 from OS13.1 repo not working?

    Quote Originally Posted by gogalthorp View Post
    Note that full Java is not default installed you have to install it. If you upgraded then the upgrade may not have brought in the latest java (depending on how you upgraded) the rpm sees java thinks the requirement is installed and that is that.
    Hi g - I checked that but was not sure how to interpret what I found... these come up when as installed when searching in YaST for "java" (and a whole lot of other stuff - some obvious, some less so... but this at least "looks like" java to me)
    java-1_5_0-gcj-compat - JPackage Runtime Scripts for GCJ
    java-1_5_0-gcj-compat-devel - JPackage development scripts for GCJ
    java-1_7_0-openjdk - Java runtime environment based on OpenJDK 7 and IcedTea 7
    java-1_7_0-openjdk-headless - JRE based on OpenJDK 7 and IcedTea 7 without X, audio and video support

    Should I just install everything with a name like java-***** ?

    Thank You Very Much!

  7. #7
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,815
    Blog Entries
    1

    Default Re: Scilab 5.5 from OS13.1 repo not working?

    See my post to the other recent scilab thread.
    https://forums.opensuse.org/showthre...06#post2665806

    openjdk likely is insufficient, you need to install Oracle SE JDK.

    TSU

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •